Package org.apache.commons.net.discard

# Class DiscardTCPClient

java.lang.Object
org.apache.commons.net.SocketClient
org.apache.commons.net.discard.DiscardTCPClient

Direct Known Subclasses:
  `EchoTCPClient`

public class DiscardTCPClient extends SocketClient
The DiscardTCPClient class is a TCP implementation of a client for the Discard protocol described in RFC 863. To use the class, merely establish a connection with `connect` and call `getOutputStream()` to retrieve the discard output stream. Don't close the output stream when you're done writing to it. Rather, call `disconnect` to clean up properly.

See Also:
  - `DiscardUDPClient`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_PORT`
  The default discard port.

  ### Fields inherited from class org.apache.commons.net.SocketClient

  `_defaultPort_, _hostname_, _input_, _output_, _serverSocketFactory_, _socket_, _socketFactory_, _timeout_, connectTimeout, NETASCII_EOL, remoteInetSocketAddress`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscardTCPClient()`
  The default DiscardTCPClient constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OutputStream`
  `getOutputStream()`
  Gets an OutputStream through which you may write data to the server.

  ### Methods inherited from class org.apache.commons.net.SocketClient

  `_connectAction_, addProtocolCommandListener, applySocketAttributes, checkOpenOutputStream, connect, connect, connect, connect, connect, connect, createCommandSupport, disconnect, fireCommandSent, fireReplyReceived, getCharset, getCharsetName, getCommandSupport, getConnectTimeout, getDefaultPort, getDefaultTimeout, getHostAddress, getHostAddress, getKeepAlive, getLocalAddress, getLocalPort, getProxy, getReceiveBufferSize, getRemoteAddress, getRemoteInetSocketAddress, getRemotePort, getSendBufferSize, getServerSocketFactory, getSoLinger, getSoTimeout, getTcpNoDelay, isAvailable, isConnected, removeProtocolCommandListener, setCharset, setConnectTimeout, setDefaultPort, setDefaultTimeout, setKeepAlive, setProxy, setReceiveBufferSize, setSendBufferSize, setServerSocketFactory, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PORT

    public static final int DEFAULT_PORT
    The default discard port. It is set to 9 according to RFC 863.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DiscardTCPClient

    public DiscardTCPClient()
    The default DiscardTCPClient constructor. It merely sets the default port to `DEFAULT_PORT`.

- ## Method Details

  - ### getOutputStream

    public OutputStream getOutputStream()
    Gets an OutputStream through which you may write data to the server. You should NOT close the OutputStream when you're finished reading from it. Rather, you should call `disconnect` to clean up properly.
    Returns:
      An OutputStream through which you can write data to the server.